/*
Theme Name: Bateman Skips 3.3
Theme URI: https://batemanskips.co.uk/
Template: hello-elementor
Author: E.G. Web Design
Author URI: https://elliottgreenman.com/
Description: Child theme for Bateman Skips
Version: 3.3.18
Updated: 2024-12-19 10:30:06

*/

/*Universal Styling*/
.elementor-animation-rotate:active, .elementor-animation-rotate:focus, .elementor-animation-rotate:hover {transform: rotate(-10deg)!important;}
.ast-sticky-shrunk .bfg {display:none;}
.ast-sticky-shrunk .main-menu .elementor-widget-wrap,.ast-sticky-shrunk .light-menu .elementor-widget-wrap {height:55px;}
/*.main-menu {margin-bottom:-150px!important;}*/
.ast-sticky-shrunk .main-menu,.ast-sticky-shrunk .light-menu {background-color:white!important;transition:ease-in-out 0.5s!important;}
.menu-item a:hover {opacity:0.8;}
.ast-sticky-shrunk .menu-item a {color:#4d4d4d!important;}
/*.sub-menu:hover {color:white!important;background-color:#4d4d4d!important;}
.sub-menu {background-color:#efefef!important;color:#4d4d4d!important;}*/
.light-menu .current-menu-item a {color:white!important;}
.light-menu .menu-item a {color:white;}
.ast-sticky-shrunk .light-menu .menu-item a {color:#4d4d4d!important;}
.main-menu .menu-item a, .main-menu .current-menu-item a {color:#4d4d4d!important;}
.cc-revoke {display:none;}
.elementor-nav-menu--indicator-chevron .elementor-nav-menu .sub-arrow i:before {
    display:none;
}
h2.gform_submission_error {font-size: 20px!important;}

[type=button], [type=submit], button {border-style: solid!important; border-width: 2px 2px 2px 2px!important; border-color: var(--e-global-color-primary)!important; color: var(--e-global-color-primary)!important; background-color: white!important; width: 300px; max-width:300px; transition:0.33s all ease-in-out;}

[type=button]:hover, [type=submit]:hover, button:hover {background-color:var(--e-global-color-primary)!important;color:white!important;}

.elementor-nav-menu--main .elementor-nav-menu a, .elementor-nav-menu--main .elementor-nav-menu a.highlighted, .elementor-nav-menu--main .elementor-nav-menu a:focus, .elementor-nav-menu--main .elementor-nav-menu a:hover {padding: 7px 13px!important;}
span.label--inline {font-size:15px!important;padding: 2px 7px;background-color: #D50032 ;border-radius: 15px;color: white;}
.sm-btn {text-decoration: none;box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1)!important;transition: all 0.3s ease 0s;margin:8px;padding:3px 12px;border-radius:5px;color:#D50032;}
.sm-btn:hover {cursor:pointer;}
a.sm-btn {display:inline-block;}
.main-menu.header-stick .logoc{width:8%!important;padding:0px!important;transition:all 0.33s ease-in-out;}
.main-menu.header-stick .logoc img.elementor-animation-rotate {transform: rotate(-10deg) !important;}
.main-menu.header-stick .bs-logo .elementor-widget-container{margin-bottom:0px!important;}
.main-menu.header-stick .bs-logo {margin-bottom:5px!important;margin-top:5px;}
.main-menu {background-color: transparent!important;transition:all 0.33s ease-in-out;}
.main-menu.header-stick {background-color: white!important}

/*Menu Dropdown Hover*/
.elementor-nav-menu--main .elementor-nav-menu>.menu-item:hover>.elementor-nav-menu--dropdown{
    display: block !important;
	min-width:240px;
    width: fit-content;
}

.dark-menu .elementor-nav-menu--main a{color:#efefef!important;}
.ast-header-sticky-active .dark-menu .elementor-nav-menu--main a{color:#4d4d4d!important;}

.sm-btn:hover {box-shadow: 0px 12px 18px rgba(0, 0, 0, 0.2)!important;color:#4d4d4d;transform: translateY(-1px)!important;}
.btn-white{background-color:white;}
.link {color:#D50032!important;}
.links {padding:5px;}
.link:hover {color:#4d4d4d!important;}
.cc-dismiss {background-color:#D50032!important;}
.cc-window {background-color:#efefef!important;}
.mb10 {margin-bottom:10px!important;}
.strong {font-weight:bold;}
.postcode-lookup {width: 50%;float: right;}



/*Footer*/
footer ul li {list-style: none!important;}
footer input,.commercial-form #form-field-name, .commercial-form #form-field-email, .commercial-form #form-field-company, .commercial-form #form-field-phone {background: #595a54!important;border: 0px!important;border-bottom: 2px #efefef solid!important;color: #efefef!important;border-radius: 0px!important;height: 40px!important;}
footer .elementor-widget:not(:last-child) {margin-bottom:10px;}
footer .elementor-social-icons-wrapper a i {transition: all .2s linear;}
footer .elementor-social-icons-wrapper a i:hover {color:#d50032!important;opacity:0.9!important;}


/*WC Styling*/
.woocommerce-checkout .site-main {padding-bottom:99px;}
.woocommerce-checkout footer, .wc-block-components-checkout-return-to-cart-button, .wc-block-components-order-summary-item .wc-block-components-order-summary-item__image, .wc-block-checkout__order-notes {display:none!important;}
.wc-block-checkout .wc-block-components-product-details {display: flex; flex-direction: column;}
.wc-block-components-product-details__zone {display:none;}

/*Booking Form*/
.gfield--type-name {border: 0px;}
.gfield--type-name .gf_name_has_2 {display: flex ; flex-direction: row; width: 100%; justify-content: space-between;}
.gfield--type-name .gf_name_has_2 .gform-grid-col {width:48%;}
.gfield fieldset {border:none;}

.gfield_label {width:100%;display: block;color: #4d4d4d;font-size: 1.3rem;cursor:default!important;padding:15px 0px 15px;}
.gfield_radio li{padding: 10px 0px 10px;}
.gform_body li {list-style: none;padding: 5px 0px;}
.validation_message,.validation_error {background-color: #efefef;  border-bottom: 2px #D50032 solid;color: #4d4d4d;text-align: center;font-weight: 500;    width: 100%!important;}
.gform_body ul,.delivery-date .ginput_container,.collection-date .ginput_container   {margin:0 0 .5em 0;display: table}
.gform_body ul {padding:0px;}
.gform_body {padding: 10px;}
.total {width: 50%;display: inline-block;padding:15px!important;}
#field_6_15 {font-weight:400;color:#4d4d4d;}
.total .ginput_container span {font-size:20px;}
#field_6_109,#field_6_109 label {color:#7a7a7a;}
.delivery_postcode label, .skip-size label, .total label {padding-left:0px!important;}
 input[type=text], input[type=tel], input[type=email], textarea,select {color:#4d4d4d!important;height: 50px!important;border-radius: 5px!important;border: 2px solid #e6e6e6!important;background-color:#efefef!important;min-width:133px;width:100%;}
.delivery-address input[type=text] {max-width:300px;}
textarea {height:100px!important;}
select {padding:.75em!important;}
.skip-size select {-webkit-appearance: none;-moz-appearance: none;text-indent: 1px;text-overflow: '';}
.ui-datepicker-title select {height: 50px!important;margin: 5px 5px!important;width: 46%;display: inline-block;}
.ui-datepicker-header a:hover {cursor:pointer;}
table.ui-datepicker-calendar td, table.ui-datepicker-calendar th {padding: 7px;}
.w-40-60 {display:flow-root;}
.w-40-60 div:first-of-type{width:40%;display:inline-block;    vertical-align: middle;}
.w-40-60 div:not(:first-of-type){width:60%;display:inline-block;float:right;    vertical-align: middle;padding: 0px 15px;}
@media screen and (max-width:450px){ .w-40-60 div:first-of-type, .w-40-60 div:not(:first-of-type) {width:100%!important;padding: 5px;}.w-40-60 div:not(:first-of-type){background-color: #efefef;}.gfield_label{font-size:1.0rem;}.postcode-lookup{width:100%!important;}.postcode-button{width:100%!important;}}
.vat-price {visibility: hidden;height: 10px;}
.gfield_required {color:#D50032;}
.ginput_container {padding: 5px 0px;}
.delivery-address .gfield_checkbox {margin-bottom:0px!important;}
.delivery-address .gfield_checkbox label {font-size: 1.3em!important;}
.section-title {margin: 55px 0px 0px;border-bottom: 1px solid #e3e3e3;}
.delivery_postcode label, .skip-size label {padding:0px 0px 15px;}
.delivery_postcode, .skip-size{width: 50%;display: inline-block;padding:15px!important;background-color:#efefef;height:140px;vertical-align: middle;}
.homepage-form select:focus, .skip-size select:focus,.homepage-form select, .skip-size select {background: #ffffff url("https://www.batemanskips.co.uk/images/Batemans-Skip-Outline.svg") no-repeat 90% 12px!important;background-size:45px!important;max-width:380px!important;}
.homepage-form select {-webkit-appearance:none;-moz-appearance:none;-ms-appearance:none;appearance:none;}
.homepage-form input:focus, .delivery_postcode input:focus,.homepage-form input, .delivery_postcode input {text-transform: uppercase;background: #ffffff url("https://www.batemanskips.co.uk/images/Pin-Outline.svg") no-repeat 90% 8px!important;background-size:20px!important;max-width:380px!important;}
.gform_body input[type="submit"] {background-color:#D50032!important;color:#ffffff!important;border: 0px!important;margin-right: 20px;}
.third-section {width:33%;display:inline-block;}
#input_6_36 li {display:inline-block;padding:5px 5px;}
.ui-datepicker {background:#ffffff; padding:5px 5px;}
.ui-datepicker-next {float:right;}
.ui-corner-all {padding:0px 5px;}
.gform_card_icon_container {display:none;}
.ginput_container_creditcard input {width:100%;}
.ginput_container_creditcard label, .ginput_card_expiration_container label {display:block;}
.ginput_card_expiration_container {width: 70%;float: left;}
.ginput_card_expiration_container select {width:45%;display:inline-block;}
.ginput_cardinfo_right {width:30%;float:right;}
#input_6_106_5_container {width:100%;}
#gform_fields_2 {display:none;}
.div_field,.div_field_2 {width:70%;display: inline-block;}
.information-sidebar-2, .information-sidebar {max-width: 350px;display: inline-block;margin: 0px 5px;padding: 0px 5px !important;}
.div_field_sidebar {position:sticky;top:130px;width:30%;float:right;}
@media screen and (max-width:655px){.div_field_sidebar,.information-sidebar-2,.information-sidebar {display:none;}.div_field_2,.div_field {width:100%;}.gform_confirmation_message_6 li {width: 49%!important;}.gform_confirmation_message_6 table td {max-width: 140px!important;}}
.information-div,.order-summary-mobiles {padding: 10px 10px;background-color: #efefef;}
@media screen and (max-width:915px){ .no-tablet {display:none!important;}}
.voucher input[type=button] {width:55%;float:right;}
@media screen and (max-width:450px){ .ginput_card_expiration_container {width: 100%;float: left;} .ginput_cardinfo_right {width:100%;float:left;}#gf_coupon_code_2{width:100%}.voucher input[type=button] {width:100%;}}
input[type=submit][disabled=disabled],button[disabled=disabled] {background-color:#efefef!important;}
@media screen and (min-width:655px){ .order-summary-mobiles {display:none;}}
.postcode-button {margin: 0px 0px 5px;width: 40%;position: relative;}
#gform_previous_button_3 {width:250px;}
#gform_previous_button_2 {width:250px;}
#gform_submit_button_2 {width:300px;}
#gform_next_button_6_113, .single_add_to_cart_button{max-width:300px;color: #ffffff;border-color: #d50032;background-color: #d50032;    border-radius: 5px!important;}
.gform_previous_button {background-color: transparent!important;color: #d50032!important;padding: 0px 50px 0px 0px !important;min-width: 0px;border: 0px!important;}
.gform_save_link {display: block;padding: 15px 0px;}
.admin-fee div, .admin-fee label{display:none!important;}
.admin-fee {display:contents;}
.gform_confirmation_message_6 li {width: 24%;text-align: center;display: inline-block;list-style: none;    vertical-align: top;}
.gform_confirmation_message_6 ul {margin:0 0;}
.gform_confirmation_message_6 table {margin:20px 0 0;}
.order-left, .order-right {width: 50%;display: inline-block;}
.order-right {float:right;}

/*Radio Check buttons*/

  .tick .gfield_label {display:none;}
  .tick ul {margin-bottom:0.5em!important;}
  .tick input[type=radio] + label:before,.tick input[type=checkbox] + label:before {height:30px!important;width:30px!important;}
  #label_6_42_1:before , #label_6_44_1:before , #label_6_45_1:before{padding:4px 3px!important;}
  #label_6_130_1:before {padding:0px 3px!important;}
  .tick input[type=radio]:checked + label:before,.tick input[type=checkbox]:checked + label:before {
    content: url("https://www.batemanskips.co.uk/images/checked-white.svg");
  }
  .gform_body input[type="checkbox"], .gform_body input[type="radio"] {opacity:0!important;}
  .radio-check input[type=radio],.radio-check input[type=checkbox] {
    display: none;
  }

  .radio-check input[type=radio] label,.radio-check input[type=checkbox] label {
    position: relative;
    cursor: pointer;
  }

  .radio-check input[type=radio] + label:before,.radio-check input[type=checkbox] + label:before {
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 0px 8px 3px 0px;
    padding: 4px;
    vertical-align: middle;
    cursor: pointer;
    border-radius: 50%;
    background-color: #fff;
    border: 2px solid #e6e6e6;
    transition: all 0.3s;
  }

  .radio-check input[type=radio]:hover + label,.radio-check input[type=radio]:checked + label,.radio-check input[type=checkbox]:checked + label,.radio-check input[type=checkbox]:hover + label {
    color:#252525;
      position: relative;
      cursor: pointer;
      color:#4d4d4d;
  }
  .radio-check input[type=radio]:checked + label:before,.radio-check input[type=checkbox]:checked + label:before {
    background-color: #D50032;
    border: 2px solid #ffffff;
  }
  .radio-check input[type=radio] li {width: 50%;display: inline-block;padding:10px;}
  .radio-check input[type=checkbox] li {display: inline-block;padding:10px;}
  .radio-check ul {min-height:50px;}


/*Location Pages*/
.location-skip-order-wrapper {}

/*Contact Form 7*/
.page-id-8672 input[type=email].wpcf7-form-control ,.page-id-8672  input[type=text].wpcf7-form-control {background-color:#ffffff!important;}


/*FAQs*/
.menu-faqs-container a, .widget_recent_entries a {color:#4d4d4d;opacity:0.8;}
.menu-faqs-container a:hover, .widget_recent_entries a:hover {color:#4d4d4d;opacity:1;}
.menu-faqs-container .current-menu-item a{font-weight:bold;color:#D50032!important;opacity:1;}

  /* homepage banner */
  .homepage-section {padding:0px 0px;}
  .batemans-hero {    display: -webkit-box;display: -ms-flexbox;display: flex;height: 100vh;min-height: 460px;-webkit-box-align: center;-ms-flex-align: center;align-items: center;}
  .batemans-hero p,.batemans-hero h1{margin-bottom:0px;}

  div.animated-banner{position:relative;overflow:hidden;width:100vw;height:100%;}

  @keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}
  div.animated-banner div.wrapper{position:absolute;height:3500px;width:3500px;margin-top:-633px;left:50%;transform:translateX(-50%);-webkit-transform: translateX(-50%);}
  div.animated-banner div.wrapper div{height:100%;width:100%;background-repeat:no-repeat;background-position:center;background-size:2333px;}
  div.animated-banner div.wrapper div.city-skyline-silhouettes{animation:spin 300s linear 0s infinite reverse;background-image:url('https://www.batemanskips.co.uk/images/Bateman-Skips-City-Skyline-Silhouettes-png24-v4.1-min.png')}
  div.animated-banner div.wrapper div.cars-clockwise{animation:spin 100s linear 0s infinite normal;background-image: url('https://www.batemanskips.co.uk/images/Cars-Clockwise-illustration-png24-v4.1-min.png')}
  div.animated-banner div.wrapper div.bristol-and-bath{animation:spin 400s linear 0s infinite reverse;background-image:url('https://www.batemanskips.co.uk/images/Bateman-Skips-Illustration-bristol-and-bath-png24-v4.1-min.png')}
  div.animated-banner div.wrapper div.clouds-and-sun{animation:spin 333s linear 0s infinite normal;background-image:url('https://www.batemanskips.co.uk/images/Bateman-Skips-Clouds-and-Sun-png24-v4.1-min.png')}
  div.animated-banner div.wrapper div.cars-counterclockwise{animation:spin 130s linear 0s infinite reverse;background-image:url('https://www.batemanskips.co.uk/images/Cars-Counterclockwise-illustration-png24-v4.1-min.png')}
  @media screen and (max-width:1500px) and (min-width:790px) { div.animated-banner div.wrapper{height:2400px;width:2400px;;margin-top:-100px;}}
  @media screen and (max-width:1500px) and (min-width:1000px) { div.animated-banner{position:relative;overflow:hidden;width:100vw;;z-index: -20;}}
  @media screen and (max-width:1000px) and (min-width:790px) { div.animated-banner{position:relative;overflow:hidden;width:100vw;z-index: -20;}}
  @media screen and (max-width:767px){.animated-banner {display:none;}.form--horizontal div {width:100%!important;padding-bottom:10px;}.hero-form {top: 5vh!important;}}
  .boxed {padding:15px;background-color:#ffffff;border-radius:5px;}
  .form--horizontal {}
  .form--horizontal button {width:100%;}
  .form--horizontal div {width:30%;margin:0 1.3%;display:inline-block;}
  .postcode-box input, .postcode-box button,.postcode-box select {width:100%;}
  .postcode-box  {padding: 10px;border-radius: 5px;  background-color: white;  margin: 10px 0px;}
  .homepage-postcode-text h2, .homepage-postcode-text h3 {font-weight:400;color:#ffffff;text-align:left;margin-bottom:0.30em;    text-shadow: 1px 1px 40px rgba(22,23,31,.8)!important;}
  .hero-form {z-index:50;padding: 20px;background-color: rgba(77, 77, 77, 0.33);border-radius: 5px;margin: 0 auto;max-width: 1000px;top: 45vh;position: relative;width:90%;}

/*Individual Skip Pages */
.form-vertical {}
.skip-booking button {width: 100%;margin-top: 10px;border-radius: 5px;}
.skip-booking-sidebar {background-color:#efefef;padding:30px 30px;}
.skip-booking input {background-color:white!important;}


/*Same Day Skip Delivery Section*/
.same-day-section {padding-top:0px;padding-bottom:0px;max-width:1400px;margin:0 auto;min-height:500px;}

/*Same-day-hero*/

.same-day-hero {
  width: 100%;
  max-width:1400px;
  height: 100%;
  min-height: 450px;
  position: relative;
  top: 0;
  left: 0;
  background-color: #fff;
  transform: translate3d(0, 0, 0);
}

.layer-2 {
  animation: parallax_fg linear 100s infinite both;
  background: url(https://www.batemanskips.co.uk/images/Same-Day-Delivery-foreground-benches-tress-min.png) 0 100% repeat-x;
  z-index: 1;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: auto 445px;
}

.layer-4 {
  animation: parallax_fg linear 75s infinite both;
  background: url(https://www.batemanskips.co.uk/images/Same-Day-Delivery-buldings-v2.0-min.png) 0 100% repeat-x;
  z-index: 1;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: auto 500px;
}

.layer-6 {
  animation: parallax_fg linear 120s infinite both;
  background: url(https://www.batemanskips.co.uk/images/Same-Day-Delivery-Background-Blurred.jpg) 0 100% repeat-x;
  z-index: 1;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: auto 482px;
}

.truck-1, .truck-2, .truck-3  {
  background: url(https://www.batemanskips.co.uk/images/Bateman-Skips-Truck-With-Skip-min.png) 0 100% no-repeat;
  z-index: 1;
  position: absolute;
  bottom: 80px;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: auto 75px;
  animation: parallax_bike linear 10s infinite both;
}

.truck-3 {
  animation: parallax_bike linear 15s infinite both;
  -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    bottom: 40px!important;
}

.truck-2 {
  animation: parallax_bike linear 15s infinite both;
}

@keyframes parallax_fg {
  0% {
    background-position: 2765px 100%;
  }
  100% {
    background-position: 550px 100%;
  }
}
@keyframes parallax_bike {
  0% {
    background-position: -300px 100%;
  }
  100% {
    background-position: 2000px 100%;
  }
}

/*Skip Calculator*/
.len, .wid, .hei {width:31%;display:inline-block;margin: 0 5px 0 0;}
.volm, .voly{width:47%;display:inline-block;margin: 0 5px 0 0;}
.len input, .wid input, .hei input {min-width:33px;}
.dimensions-input {}
.volume-results {}
.volm input, .voly input  {border-radius: 0px!important;height: 33px!important;text-align: center;background-color: white!important;border: 2px solid #4d4d4d!important;max-width: 100px;}
li.skip {background-color:#efefef!important;padding:5px!important;margin:5px!important;}

#gform_3 .gform_footer, #gform_11 .gform_footer {display:none!important;}
#gform_3 .gform_body, #gform_11 .gform_body {padding:0px 0px;}
#gform_3 .top_label, #gform_11 .top_label {margin:0px 0px;}


/*About Page*/
.uael-events-inner-new {padding:6px 0px!important;}
.uael-timeline__line__inner, .uael-timeline-main .uael-days .in-view .in-view-timeline-icon {background:#dc0532!important;}

